Skip to content
  • Auto
  • Light
  • Dark
Get started
View as Markdown
Copy Markdown

Open in Claude
Open in ChatGPT

Update account risk settings

patch/active/v1/accounts/{account_id}

Update account risk settings

Path ParametersExpand Collapse
account_id: number
Body ParametersExpand Collapse
risk: optional RiskSettings { max_notional }

Risk settings for the account

max_notional: optional string

The maximum notional value available to the account

ReturnsExpand Collapse
data: AccountSettings { risk }
risk: optional RiskSettings { max_notional }

Risk settings for the account

max_notional: optional string

The maximum notional value available to the account

Update account risk settings
curl https://api-active.clearstreet.io/active/v1/accounts/$ACCOUNT_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $API_KEY" \
    -d '{}'
{
  "data": {
    "risk": {
      "max_notional": "5000000.00"
    }
  },
  "error": null,
  "metadata": {
    "request_id": "c8f3e4a5-b2c3-5d4e-9f0a-6b7c8d9e0f1a"
  }
}
Returns Examples
{
  "data": {
    "risk": {
      "max_notional": "5000000.00"
    }
  },
  "error": null,
  "metadata": {
    "request_id": "c8f3e4a5-b2c3-5d4e-9f0a-6b7c8d9e0f1a"
  }
}